|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QWebHistoryInterface Class Reference
[QtWebKit module]

The QWebHistoryInterface class provides an interface to implement link history. More...

     #include <QWebHistoryInterface>

Inherits QObject.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

### Public Functions

- QWebHistoryInterface ( QObject * parent = 0 )
- ~QWebHistoryInterface ()
- virtual void addHistoryEntry ( const QString & url ) = 0
- virtual bool historyContains ( const QString & url ) const = 0

- 29 public functions inherited from QObject

### Static Public Members

- QWebHistoryInterface * defaultInterface ()
- void setDefaultInterface ( QWebHistoryInterface * defaultInterface )

- 5 static public members inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QWebHistoryInterface class provides an interface to implement link history.

The QWebHistoryInterface is an interface that can be used to implement link history. It contains two pure virtual methods that are called by the WebKit engine. addHistoryEntry() is used to add pages that have been visited to the interface, while historyContains() is used to query whether this page has been visited by the user.

## Member Function Documentation

### QWebHistoryInterface::QWebHistoryInterface ( QObject * parent = 0 )

Constructs a new QWebHistoryInterface with parent parent.

### QWebHistoryInterface::~QWebHistoryInterface ()

Destructor.

### void QWebHistoryInterface::addHistoryEntry ( const QString & url ) `[pure virtual]`

Called by WebKit to add another url to the list of visited pages.

### QWebHistoryInterface * QWebHistoryInterface::defaultInterface () `[static]`

Returns the default interface that will be used by WebKit. If no default interface has been set, QtWebkit will not track history.

See also setDefaultInterface().

### bool QWebHistoryInterface::historyContains ( const QString & url ) const `[pure virtual]`

Called by the WebKit engine to query whether a certain url has been visited by the user already. Returns true if the url is part of the history of visited links; otherwise returns false.

### void QWebHistoryInterface::setDefaultInterface ( QWebHistoryInterface * defaultInterface ) `[static]`

Sets a new default interface, defaultInterface, that will be used by all of WebKit for managing history.

See also defaultInterface().